.form {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0px;
    left: 0px;
    background-color: rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 102;
}

.login-form, .sign-up-form {
    width: 420px;
    padding: 20px 10px;
    background: #727272;
    background-image: repeating-linear-gradient(to right, #b3ff00 0px, #cff37c 50px, #ffee00 50px, #f7fdca 100px, #fcb000 100px, #fad071 150px, #ff1500 150px, #f0766b 200px, #db9dbe 200px, #ff0088 250px, #9900ff 250px, #c49cdf 300px, #006aff 300px, #00c3ff 350px, #61c2e4 350px, #84d6f3 400px);
    background-size: 100% 10px;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    border-radius: 5px;
    position: relative;
}

.login-form form, .sign-up-form form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

.login-form strong, .sign-up-form strong {
    color: #000;
    font-size: 2rem;
    margin: 2px 7px 7px 7px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
}

.login-form input, .sign-up-form input {
    width: 90%;
    height: 45px;
    margin: 6px 0px;
    padding: 0px 10px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    outline: none;
    border-radius: 7px;
}

.login-form input::placeholder, .sign-up-form input::placeholder {
    color: rgba(0, 0, 0, 0.5);
}

.login-form input[type="submit"], .sign-up-form input[type="submit"] {
    background-color: #8400ff;
    color: #fff;
    border: none;
    outline: none;
    text-transform: uppercase;
    margin-top: 10px;
    border-radius: 3px;
    box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
}

.form-btns {
    width: 90%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}

.form-btns a {
    color: #000;
    font-size: 0.9rem;
}

.sign-up-btn {
    border-bottom: 1px solid #000;
    line-height: 16px;
}

.form-cancel {
    position: absolute;
    right: 20px;
    top: 10px;
    color: #000;
}

.form-cancel:hover {
    color: #fff;
} 

.login-form, .sign-up-form, .form {
    display: none;
}

.login-active, .login-active .login-form {
    display: flex;
    animation: fade 0.3s;
}

.sign-up-active, .sign-up-active .sign-up-form {
    display: flex;
    animation: fade 0.3s;
}

@keyframes fade {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

